%global _empty_manifest_terminate_build 0
Name:		python-adtk
Version:	0.6.2
Release:	1
Summary:	A package for unsupervised time series anomaly detection
License:	MPL-2.0
URL:		https://github.com/arundo/adtk
Source0:	https://github.com/arundo/adtk/archive/v%{version}/adtk-%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-numpy
Requires:	python3-pandas
Requires:	python3-matplotlib
Requires:	python3-scikit-learn
Requires:	python3-statsmodels
Requires:	python3-packaging
Requires:	python3-tabulate
Requires:	python3-black
Requires:	python3-isort
Requires:	python3-sphinx
Requires:	python3-sphinx-rtd-theme
Requires:	python3-nbsphinx
Requires:	python3-dateutil
Requires:	python3-jupyter
Requires:	python3-pytest
Requires:	python3-tox
Requires:	python3-coverage
Requires:	python3-pytest-cov
Requires:	python3-coveralls
Requires:	python3-mypy

%description
A Python toolkit for rule-based/unsupervised anomaly detection in time series

%package -n python3-adtk
Summary:	A package for unsupervised time series anomaly detection
Provides:	python-adtk
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-adtk
A Python toolkit for rule-based/unsupervised anomaly detection in time series

%package help
Summary:	Development documents and examples for adtk
Provides:	python3-adtk-doc
%description help
A Python toolkit for rule-based/unsupervised anomaly detection in time series

%prep
%autosetup -n adtk-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-adtk -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Nov 29 2022 Python_Bot <Python_Bot@openeuler.org> - 0.6.2-1
- Package Spec generated
